CVE-2012-2663

Published: 15 February 2014

extensions/libxt_tcp.c in iptables through 1.4.21 does not match TCP SYN+FIN packets in --syn rules, which might allow remote attackers to bypass intended firewall restrictions via crafted packets. NOTE: the CVE-2012-6638 fix makes this issue less relevant.

Priority

Low

Status

Package Release Status
iptables
Launchpad, Ubuntu, Debian
Upstream Needed

Ubuntu 20.10 (Groovy Gorilla) Ignored

Ubuntu 20.04 LTS (Focal Fossa) Ignored

Ubuntu 18.04 LTS (Bionic Beaver) Ignored

Ubuntu 16.04 LTS (Xenial Xerus) Ignored

Ubuntu 14.04 ESM (Trusty Tahr) Ignored

Notes

AuthorNote
tyhicks
This is an iptables userspace issue. A kernel CVE may also be
assigned, but it will be under a different CVE identifier.
mdeslaur
There is no available fix for this issue for iptables, and
changing this would result in an unexpected change in behaviour.
We will not be fixing this in Ubuntu stable releases, marking as
ignored.

References

Bugs